From e32c5027e93f57beeb3c260592e2684cadeeca02 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 14 2020 03:03:05 +0000
Subject: [PATCH 874/2232] Show header name in help text same as it appears in #include


---

diff --git a/gen/cmd/src/app.rs b/gen/cmd/src/app.rs
index 1092dcd..dce7a5a 100644
--- a/gen/cmd/src/app.rs
+++ b/gen/cmd/src/app.rs
@@ -13,7 +13,7 @@ type Arg = clap::Arg<'static, 'static>;
 const USAGE: &str = "\
     cxxbridge <input>.rs              Emit .cc file for bridge to stdout
     cxxbridge <input>.rs --header     Emit .h file for bridge to stdout
-    cxxbridge --header                Emit rust/cxx.h header to stdout\
+    cxxbridge --header                Emit \"rust/cxx.h\" header to stdout\
 ";
 
 const TEMPLATE: &str = "\
diff --git a/gen/cmd/src/test.rs b/gen/cmd/src/test.rs
index f119189..110e319 100644
--- a/gen/cmd/src/test.rs
+++ b/gen/cmd/src/test.rs
@@ -6,7 +6,7 @@ https://github.com/dtolnay/cxx
 USAGE:
     cxxbridge <input>.rs              Emit .cc file for bridge to stdout
     cxxbridge <input>.rs --header     Emit .h file for bridge to stdout
-    cxxbridge --header                Emit rust/cxx.h header to stdout
+    cxxbridge --header                Emit \"rust/cxx.h\" header to stdout
 
 ARGS:
     <input>

